function vect = features_affine(u)

% calcula as caractersticas afins
	Area_Total=areacontorno(u); 
    Area_FC=areacontorno(fc_grahamc2(u));
    
    feat1=(Area_FC-Area_Total)/Area_FC;
    
	S=matriz_area(u); 
    S=normaliza_matriz_area(S);
    
    [vA_e, vA_ce, vA_d]=simplif_matriz_area(S);
    
    feat2=sum(vA_e(find(vA_e<0))); 
    feat3=sum(vA_e(find(vA_e>0)));
    feat4=sum(vA_ce);
    feat5=sum(vA_d);
    
    vect = [feat1 feat2 feat3 feat4 feat5];




    