function [Fan,Fbn,Fcn,Fdn,Fen,Ffn,med,desv] = normaliza_feat(Fa,Fb,Fc,Fd,Fe,Ff)

% normaliza o espaco de caracteristicas
% Fa, Fb,Fc,Fd,Fe,Ff: conjunto de vetores carateristicas de cada classe

F=[Fa;Fb;Fc;Fd;Fe;Ff]; 
[n,m]=size(F);
Fn=[];
m=mean(F); s=std(F);

for i=1:n
    Fn=[Fn; (F(i,:)-m)./s];
end

[na ma]=size(Fa); Fan=Fn(1:na,:);
[nb mb]=size(Fb); Fbn=Fn(na+1:na+nb,:);
[nc mc]=size(Fc); Fcn=Fn(na+nb+1:na+nb+nc,:);
[nd md]=size(Fd); Fdn=Fn(na+nb+nc+1:na+nb+nc+nd,:);
[ne me]=size(Fe); Fen=Fn(na+nb+nc+nd+1:na+nb+nc+nd+ne,:);
[nf mf]=size(Ff); Ffn=Fn(na+nb+nc+nd+ne+1:na+nb+nc+nd+ne+nf,:);

med=m; desv=s;