function [vA_e, vA_ce, vA_d]=simplif_matriz_area(S)
% extrai as informacoes locais a esquerda, global e locais a direita
% a partir de uma matriz de areas normalizada

		[n m]=size(S); sum_t=0; 
        q=floor(0.40*m/2);
        g=Gauss(-q:q,5);
        
		for i=1:2*q+1        
			sum_t=sum_t+S(:,i)*g(i);
		end
		vA_e=sum_t/sum(g);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		sum_t=0; 
        p=floor(0.5*m); % p: centro da gaussiana 
        q=floor(0.3*m/2);
        g=Gauss(-q:q,5); j=1; 
        
		for i=(p-q):(p+q) 
			sum_t=sum_t+S(:,i)*g(j); j=j+1;
		end
		vA_ce=sum_t/sum(g);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
		sum_t=0;
        q=floor(0.3*m/2);
        g=Gauss(-q:q,5); j=1;
        
		for i=m-(2*q):m
			sum_t=sum_t+S(:,i)*g(j); j=j+1;
		end
		vA_d=sum_t/sum(g);