function [a,b,c,d,e,f]=treina_afim()
% calcula o espaco de caracteristicas

    work=cd;
    % letura dos arquivos de treinamento
    cd e:\open_gestures\shapes_clasif\treinamento;
    list = dir;
    n = length(list);

    % definimos 6 classes
    a=[];
    b=a; c=a; d=a; e=a; f=a; 
    
    for i=3:n
        nome=list(i).name;
       
        u=curv(nome); 
        u=fecha_curv(u);
        u=removepontreta3(u).'; u= par_affine_length2(u,140,'linear'); 
        
        vetor = features_affine(u);

        switch nome(1)
          case 'a'
            a = [a;vetor]; 
          case 'b'
            b = [b;vetor];
          case 'c'
            c = [c;vetor];
          case 'd'
            d = [d;vetor];
          case 'e'
            e = [e;vetor];
          case 'f'
            f = [f;vetor];
          otherwise
            disp('classe desconhecida')
        end
    end    

    % imprime num arquivo
    
    cd (work);
    
    save 'Fa' a -ascii -double; 
    save 'Fb' b -ascii -double; 
    save 'Fc' c -ascii -double; 
    save 'Fd' d -ascii -double; 
    save 'Fe' e -ascii -double; 
    save 'Ff' f -ascii -double; 
