function hk = corners2(k)

%   k: vetor de curvaturas
%   hk: vetor de pontos de alta curvatura + extremos
%
%   o contorno correspondente a curvatura k eh aberto

    
    %trheshold
    is=find(k >0); L_sup = mean(k(is));
    ii=find(k<=0); L_inf = mean(k(ii));
    
    n = length(k);
    
    a=find(k > L_sup);
    b=find(k < L_inf);
    
    c=[a b]; c = sort(c);
    
    
    %forzamos a inclusao dos pontos extremos
    
    if c(1)~=1
      c=[1 c];
    end
    
    if c(length(c)) ~= n
      c=[c n];
    end
    
    hk = c;
    
