function L = perim(u);

Np = length(u);
Np1 = Np-1;
Np2 = floor(Np/2);


% fft perimeter?
if ('n'=='y')
 U0 = fft(u);

 U0 = fftshift(U0);

 E0 = sum( abs(U0) );

 s = -Np2:(Np1-Np2);

 dU0 = i * U0.' .* s;

 du0 = ifft(fftshift(dU0));

 L = (2*pi/Np) * sum( abs(du0) );

 dist(1) = 0;
 for k=2:Np
  dist(k) = dist(k-1) + (abs(u(k) - u(k-1)));
 end

 fprintf('Perimeter Estimation Error: %f%%; Perimeter: %f \n', (((dist(Np) - L)^2)/(dist(Np)^2))*100, L);
else
 L = sum( abs(u(2:Np) - u(1:Np1)));
end
