function i_max=classif_k_vizinho(uq,k,Fa,Fb,Fc,Fd,Fe,Ff,med,desv)

% classifica o contorno uq considerando os k-vizinhos mais proximos

vq = features_affine(uq);
vq=(vq-med)./desv;

vd_a=vet_dist(Fa,vq); vd_b=vet_dist(Fb,vq);
vd_c=vet_dist(Fc,vq); vd_d=vet_dist(Fd,vq);
vd_e=vet_dist(Fe,vq); vd_f=vet_dist(Ff,vq);

I_a=  ones(1,length(vd_a)); I_b=2*ones(1,length(vd_b));
I_c=3*ones(1,length(vd_c)); I_d=4*ones(1,length(vd_d));
I_e=5*ones(1,length(vd_e)); I_f=6*ones(1,length(vd_f));

vd=[vd_a,vd_b,vd_c,vd_d,vd_e,vd_f];
I=[I_a,I_b,I_c,I_d,I_e,I_f];

[vd_sort,I_sort]=sort(vd);

I=I(I_sort);
viz_vq=zeros(1,6);

for i=1:k
    viz_vq(I(i))=viz_vq(I(i))+1;
end   
classA_F=['A','B','C','D','E','F'];
[m,i_max]=max(viz_vq);

class=classA_F(i_max)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function vd=vet_dist(F,vq);
[n,m]=size(F);
vd=[];
for i=1:n
    vd(i)=norm(F(i,:)-vq);
end
