function mer=erro_afim(k)

% calcula a matriz de erros para um conjunto de contornos de consulta
% k: numero de vizinhos

% lemos os exemplos de treinamento
    Fa=load('Fa'); Fb=load('Fb');
    Fc=load('Fc'); Fd=load('Fd');
    Fe=load('Fe'); Ff=load('Ff');
    
    [Fa,Fb,Fc,Fd,Fe,Ff,med,desv] = normaliza_feat(Fa,Fb,Fc,Fd,Fe,Ff);
    
    % matriz de erros
    mer = zeros(6,6);
    
    work = cd;
    % contornos de consulta
    cd e:\open_gestures\shapes_clasif\consulta;
    %cd e:\open_gestures\queries_clasif;
    %cd e:\BD1_Hand_Query_Afim;
    
    list = dir;
    n = length(list);

    for i=3:n
        nome = list(i).name

        uq=curv(nome); 
        uq=fecha_curv(uq);
        uq=removepontreta3(uq).';
        uq=par_affine_length2(uq,140,'linear'); 
       
        i_grup=classif_k_vizinho(uq,k,Fa,Fb,Fc,Fd,Fe,Ff,med,desv);
       
        switch nome(1)
          case 'a'
            mer(1,i_grup)=mer(1,i_grup)+1;
          case 'b'
            mer(2,i_grup)=mer(2,i_grup)+1;
          case 'c'
            mer(3,i_grup)=mer(3,i_grup)+1;
          case 'd'
            mer(4,i_grup)=mer(4,i_grup)+1;
          case 'e'
            mer(5,i_grup)=mer(5,i_grup)+1;
          case 'f'
            mer(6,i_grup)=mer(6,i_grup)+1;
          otherwise
            disp('classe desconhecida')
        end
    end

    cd (work);