function dc = def_convex(u)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% def_convex.m
%%
%% dc =  area da deficiencia convexa do contorno u
%% u = contorno  
%%
%% Feito por Carlos R. Pantaleon Dionisio 
%% 
%% Ult. Revis.:  02/2/02
%%
%% Observacoes :  
%% 
%% Calculo da area da deficiencia convexa de u 
%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 fc = fc_grahamc(u);
 if areacont2(fc)<0
    areacont2(fc)
 end
 if areacont2(u) < 0
    areacont2(u)
 end
 
 if areacont2(u) > areacont2(fc)
    areacont2(fc)-areacont2(u)
 end
 
 dc = (areacont2(fc)-areacont2(u))/2;
 
